<script setup lang="ts">
const route = useRoute()
const blogContent = ref('');
const blogId = ref<string>(route.params.blogId.toString());

watch(() => route, () => {
    blogId.value = route.params.blogId.toString();
})
onMounted(() => {
    consola.info('BlogId', blogId.value)
})
</script>

<template>
<div class="BlogEntity">
    <NiMarkdown :content="blogContent" :contentId="blogId"></NiMarkdown>
</div>
</template>

<style scoped lang="scss">
.BlogEntity{
    position: relative;
    height: 100%;
    overflow: auto;
}
</style>
